Redland RDF Application Framework API Reference Manual
<<< Previous |  | Next >>>

# librdf_list_remove

## Name

librdf_list_remove -- remove a data item from an librdf_list

## Synopsis

``void * `librdf_list_remove`` (librdf_list* `list`, void * `data`);`

## Arguments

`list`

  librdf_list object

`data`

  the data item

## Description

The search is done using the 'equals' function which may be set by `librdf_list_set_equals` or by straight comparison of pointers if not set.

## Return value

the data stored or NULL on failure (not found or list empty)

<<< Previous | Home | Next >>>
librdf_list_unshift | Up | librdf_list_shift